Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Web Tools Project (WTP) » no option to create dynamic web project
no option to create dynamic web project [message #212335] Mon, 14 April 2008 16:15 Go to next message
Eclipse User
Originally posted by: Brian_Preston.firstdatabank.com

I'm using Eclipse 3.3 and WPT 2.0. I've just everything via the Update
Manager. When trying to create a new project, I still have no option to
create a Web Project. The FAQ and other threads about this not working
generally indicate that all the subprojects of WPT must be working for WPT
to work. Could this be the case? Is there a way to list the versions I
have of all the required sub-projects?

Thanks
Re: no option to create dynamic web project [message #212348 is a reply to message #212335] Mon, 14 April 2008 16:26 Go to previous messageGo to next message
Eclipse User
Originally posted by: dcarver.starstandard.org

BrianP wrote:
> I'm using Eclipse 3.3 and WPT 2.0. I've just everything via the Update
> Manager. When trying to create a new project, I still have no option to
> create a Web Project. The FAQ and other threads about this not working
> generally indicate that all the subprojects of WPT must be working for
> WPT to work. Could this be the case? Is there a way to list the versions
> I have of all the required sub-projects?

Make sure you also have all the dependencies, like GMF, EMF Runtime, and
XSD as well. You also need to be running with at least a Java 1.5
JDK as well.


Dave
Re: no option to create dynamic web project [message #212353 is a reply to message #212348] Mon, 14 April 2008 16:43 Go to previous messageGo to next message
Nitin Dahyabhai is currently offline Nitin Dahyabhai
Messages: 2251
Registered: July 2009
Senior Member
David Carver wrote:
> BrianP wrote:
>> I'm using Eclipse 3.3 and WPT 2.0. I've just everything via the Update
>> Manager. When trying to create a new project, I still have no option
>> to create a Web Project. The FAQ and other threads about this not
>> working generally indicate that all the subprojects of WPT must be
>> working for WPT to work. Could this be the case? Is there a way to
>> list the versions I have of all the required sub-projects?

> Make sure you also have all the dependencies, like GMF, EMF Runtime, and
> XSD as well. You also need to be running with at least a Java 1.5
> JDK as well.

Actually, it's GEF, EMF, and XSD. And sometimes DTP. But you will
need a 1.5 JRE or higher.

--
---
Nitin Dahyabhai
Eclipse WTP Source Editing
IBM Rational


---
Nitin Dahyabhai
Eclipse WTP, IBM
Re: no option to create dynamic web project [message #212372 is a reply to message #212353] Tue, 15 April 2008 09:20 Go to previous messageGo to next message
Eclipse User
Originally posted by: dcarver.starstandard.org

Ooops...Nitin is correct. Bad fingers...bad.


> David Carver wrote:
>> Make sure you also have all the dependencies, like GMF, EMF Runtime,
>> and XSD as well. You also need to be running with at least a Java
>> 1.5 JDK as well.
>
> Actually, it's GEF, EMF, and XSD. And sometimes DTP. But you will need
> a 1.5 JRE or higher.
>
Re: no option to create dynamic web project [message #212376 is a reply to message #212353] Tue, 15 April 2008 09:22 Go to previous messageGo to next message
Eclipse User
Originally posted by: Brian_Preston.firstdatabank.com

Ok, thanks for the responses. Here's my configuration:

Eclipse 3.3.2 (or 3.3.3; it says 3.3.2 on the 'about' page, and 3.3.3 on
the features list)
JDK 1.5
(These are from the features list)
DTP 1.5.0
EMF 2.3.2
GEF 3.3.2
XSD 2.3.2
WST 2.0.2

When I search for updates, there is a warning that says that DTP 1.5.2
requires feature org.eclipse.datatools.doc.user 1.5.2 or later. I don't
know where to get this. Could this be my problems?

Also, I'm using the latest release of WTP, 2.0.2.
Re: no option to create dynamic web project [message #212380 is a reply to message #212376] Tue, 15 April 2008 10:58 Go to previous messageGo to next message
Eclipse User
Originally posted by: Brian_Preston.firstdatabank.com

I've found the required downloads page for the 2.0.2 build. Not sure how I
missed that before. But I downloaded the DTP 1.5.2 and installed that.
Then, when I look at the plug-in registry (just learned about from the
thread about how to tell when WPT is installed) I have red x's all over.
But the plug-in registry doesn't give any indication of what the problem
is or how to resolve it. Any suggestions?
Re: no option to create dynamic web project [message #212387 is a reply to message #212376] Tue, 15 April 2008 11:09 Go to previous messageGo to next message
Eclipse User
Originally posted by: wknauf_NO_._INSIDE_hg-online.de

Hi Brian,

I think you also need the feature "J2EE Standard Tools" for dynamic web
projects. Is this also present? If not, you probably picked the web only version
of the WTP plugin.

Best regards

Wolfgang

BrianP schrieb:
> Ok, thanks for the responses. Here's my configuration:
>
> Eclipse 3.3.2 (or 3.3.3; it says 3.3.2 on the 'about' page, and 3.3.3 on
> the features list)
> JDK 1.5
> (These are from the features list)
> DTP 1.5.0
> EMF 2.3.2
> GEF 3.3.2
> XSD 2.3.2
> WST 2.0.2
>
Re: no option to create dynamic web project [message #212390 is a reply to message #212387] Tue, 15 April 2008 13:05 Go to previous messageGo to next message
Eclipse User
Originally posted by: Brian_Preston.firstdatabank.com

Hi Wolfgang,

Yes, I've got J2EE Standard Tools 2.0.2 installed as well. Although it
also has a bunch of error indicators in the plug-in registry as well.

Brian

Wolfgang Knauf wrote:

> Hi Brian,

> I think you also need the feature "J2EE Standard Tools" for dynamic web
> projects. Is this also present? If not, you probably picked the web only
version
> of the WTP plugin.

> Best regards

> Wolfgang

> BrianP schrieb:
>> Ok, thanks for the responses. Here's my configuration:
>>
>> Eclipse 3.3.2 (or 3.3.3; it says 3.3.2 on the 'about' page, and 3.3.3 on
>> the features list)
>> JDK 1.5
>> (These are from the features list)
>> DTP 1.5.0
>> EMF 2.3.2
>> GEF 3.3.2
>> XSD 2.3.2
>> WST 2.0.2
>>
Re: no option to create dynamic web project [message #212395 is a reply to message #212390] Tue, 15 April 2008 13:21 Go to previous messageGo to next message
Eclipse User
Originally posted by: dcarver.starstandard.org

Depending on how you installed things, you might need to do a restart
with a -clean option.

Dave


BrianP wrote:
> Hi Wolfgang,
>
> Yes, I've got J2EE Standard Tools 2.0.2 installed as well. Although it
> also has a bunch of error indicators in the plug-in registry as well.
>
> Brian
>
> Wolfgang Knauf wrote:
>
>> Hi Brian,
>
>> I think you also need the feature "J2EE Standard Tools" for dynamic
>> web projects. Is this also present? If not, you probably picked the
>> web only
> version
>> of the WTP plugin.
>
>> Best regards
>
>> Wolfgang
>
>> BrianP schrieb:
>>> Ok, thanks for the responses. Here's my configuration:
>>>
>>> Eclipse 3.3.2 (or 3.3.3; it says 3.3.2 on the 'about' page, and 3.3.3
>>> on the features list)
>>> JDK 1.5
>>> (These are from the features list)
>>> DTP 1.5.0
>>> EMF 2.3.2
>>> GEF 3.3.2
>>> XSD 2.3.2
>>> WST 2.0.2
>>>
>
>
Re: no option to create dynamic web project [message #212398 is a reply to message #212390] Tue, 15 April 2008 13:20 Go to previous messageGo to next message
Nitin Dahyabhai is currently offline Nitin Dahyabhai
Messages: 2251
Registered: July 2009
Senior Member
BrianP wrote:
> Yes, I've got J2EE Standard Tools 2.0.2 installed as well. Although it
> also has a bunch of error indicators in the plug-in registry as well.

Such as?

---
Nitin Dahyabhai
Eclipse WTP Source Editing
IBM Rational


---
Nitin Dahyabhai
Eclipse WTP, IBM
Re: no option to create dynamic web project [message #213464 is a reply to message #212380] Thu, 08 May 2008 13:46 Go to previous messageGo to next message
Trace Windham is currently offline Trace Windham
Messages: 16
Registered: July 2009
Junior Member
I am having a similar problem... what is this "plug-in registry" you
speak of, and how do I find it?

Thanks,
Trace


BrianP wrote:
> I've found the required downloads page for the 2.0.2 build. Not sure how
> I missed that before. But I downloaded the DTP 1.5.2 and installed that.
> Then, when I look at the plug-in registry (just learned about from the
> thread about how to tell when WPT is installed) I have red x's all over.
> But the plug-in registry doesn't give any indication of what the problem
> is or how to resolve it. Any suggestions?
>
Re: no option to create dynamic web project [message #213472 is a reply to message #213464] Thu, 08 May 2008 15:29 Go to previous message
Trace Windham is currently offline Trace Windham
Messages: 16
Registered: July 2009
Junior Member
Nevermind... I found it. It's just a view called "Plug-in Registry".

DUH !!!

Thanks


Trace Windham wrote:
> I am having a similar problem... what is this "plug-in registry" you
> speak of, and how do I find it?
>
> Thanks,
> Trace
>
>
> BrianP wrote:
>> I've found the required downloads page for the 2.0.2 build. Not sure
>> how I missed that before. But I downloaded the DTP 1.5.2 and installed
>> that. Then, when I look at the plug-in registry (just learned about
>> from the thread about how to tell when WPT is installed) I have red
>> x's all over. But the plug-in registry doesn't give any indication of
>> what the problem is or how to resolve it. Any suggestions?
>>
Previous Topic:Significance? org.eclipse.wtp
Next Topic:JSR-181 Web Service Client
Goto Forum:
  


Current Time: Fri Aug 29 22:21:56 EDT 2014

Powered by FUDForum. Page generated in 0.05109 seconds